#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.slider-one-mode {
    --carousel-arrow-color: rgba(0, 0, 0, 0.5);
}

.product-price-weighable,
.product-price-weighable .product-prices,
.product-price-weighable .product-prices .price,
.product-price-weighable .product-prices .price .val,
.product-price-weighable .product-prices .price .mon,
.product-price-weighable .product-prices .price .text {
    color: gray !important;
}

#components-reconnect-modal {
    display: none;
}

.components-reconnect-overlay::before {
    display: none;
}

#components-reconnect-modal.components-reconnect-show,
#components-reconnect-modal.components-reconnect-failed,
#components-reconnect-modal.components-reconnect-rejected {
    display: flex;
    align-items: flex-end;
    justify-content: flex-start;
    position: fixed;
    inset: 0;
    z-index: 2147483646;
    width: 100%;
    height: 100%;
    padding: 25px;
    animation: rz-reconnect-fade-in 0.25s ease-out 750ms forwards;
    opacity: 0;
    pointer-events: none;
    transform: translateY(10px);
    will-change: opacity, transform;
}

#components-reconnect-modal.components-reconnect-rejected {
    background-color: rgba(255, 255, 255, 0.5);
}

@keyframes rz-reconnect-fade-in {
    0% {
        opacity: 0;
        transform: translateY(10px);
        pointer-events: none;
    }

    100% {
        opacity: 1;
        transform: translateY(0);
        pointer-events: auto;
    }
}

.reconnect-overlay {
    background: var(--rz-warning);
    display: flex;
    gap: 16px;
    align-items: center;
    justify-content: center;
    gap: 0.6rem;
    width: 400px;
    max-width: 100%;
    overflow: auto;
    padding: clamp(0.6rem, 0.95vw, 1.05rem);
    border-radius: 4px;
    text-align: center;
    box-shadow: 0 1px 14px rgba(0, 0, 0, 0.1);
    border: 2px solid var(--rz-warning);
}

.components-reconnect-icon {
    width: 24px;
    height: 24px;
    border-radius: 50%;
    border: 3px solid rgba(255, 255, 255, 0.6);
    border-top-color: var(--rz-primary, black);
    animation: components-reconnect-spin 0.9s linear infinite;
}

@keyframes components-reconnect-spin {
    to {
        transform: rotate(360deg);
    }
}

.components-reconnect-text {
    font-size: clamp(0.9rem, 1vw, 1rem);
    line-height: 1.25;
    font-weight: bold;
}

/* Ocultar contenido de la tarjeta por defecto */
.reconnect-overlay > div {
    display: none;
}

/* Mostrar el mensaje específico según el estado del padre */
#components-reconnect-modal.components-reconnect-show .show {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 16px;
}

#components-reconnect-modal.components-reconnect-failed .failed {
    display: block;
}

#components-reconnect-modal.components-reconnect-rejected .rejected {
    display: flex;
    flex-direction: var(--flex-direction, row);
    align-items: center;
    justify-content: center;
    gap: 16px;
}

#components-reconnect-modal .rejected p {
    margin: 0;
    font-weight: bold;
}

.rejected button {
    background-color: var(--rz-primary);
    color: white;
    border: none;
    padding: 0.5rem 1.5rem;
    border-radius: 5px;
    cursor: pointer;
    font-family: inherit;
}

.rejected button:hover {
    background-color: #4a7cb9;
}

@keyframes eventoDetectado {
    from {
        opacity: 0.99;
    }

    to {
        opacity: 1;
    }
}

/* Cuando Blazor agregue esta clase, la animación correrá */
.components-reconnect-rejected {
    animation: eventoDetectado 0.001s !important;
}

@media (max-width: 767.5px) {
    #components-reconnect-modal {
        --flex-direction: column;
    }
}

i.rzi {
    visibility: hidden;
}

.loaded .rzi {
    visibility: visible;
}

.block-proxima-entrega {
    display: flex;
    align-items: center;
    font-size: 18px;
    line-height: 1.2;
    border: 2px solid #ddd;
    border-radius: 4px;
    margin-inline: auto;
    max-width: 600px;
    gap: 12px;
    justify-content: center;
    padding: 15px 16px;
    font-weight: 500;
    color: #444;
}

.block-proxima-entrega p {
    display: inline-block;
    margin: 0;
    text-align: right;
}

.rz-dialog-donation {
    --rz-dialog-content-padding: 0px;
}

body {
    --rz-dialog-mask-zindex: 898;
    --rz-dialog-wrapper-zindex: 901;
}

.rz-dialog-side {
    --rz-dialog-zindex: 899;
}